## com.sun.jersey.core.util
Interface FeaturesAndProperties

    public interface FeaturesAndProperties

Features and properties.

Author:
  Paul.Sandoz@Sun.Com

Field Summary
`static java.lang.String` `FEATURE_DISABLE_XML_SECURITY` If true XML security features when parsing XML documents will be disabled.
`static java.lang.String` `FEATURE_FORMATTED` If true then returned XML will be formatted.
`static java.lang.String` `FEATURE_PRE_1_4_PROVIDER_PRECEDENCE` If true, provider precedence will work as it did prior Jersey version 1.4.
`static java.lang.String` `FEATURE_XMLROOTELEMENT_PROCESSING` If true then XML root element tag name for lists will be derived from @XmlRootElement annotation and won't be decapitalized.

Method Summary
`boolean` `getFeature(java.lang.String featureName)` Get the value of a feature.
`java.util.Map<java.lang.String,java.lang.Boolean>` `getFeatures()` Get the map of features associated with the client.
`java.util.Map<java.lang.String,java.lang.Object>` `getProperties()` Get the map of properties associated with the client.
`java.lang.Object` `getProperty(java.lang.String propertyName)` Get the value of a property.

Field Detail

### FEATURE_DISABLE_XML_SECURITY

    static final java.lang.String FEATURE_DISABLE_XML_SECURITY

  If true XML security features when parsing XML documents will be disabled.

  The default value is false.

  See Also:
    Constant Field Values

### FEATURE_FORMATTED

    static final java.lang.String FEATURE_FORMATTED

  If true then returned XML will be formatted.

  If true then an entity written by a `MessageBodyWriter` may be formatted for the purposes of human readability if that `MessageBodyWriter` can support such formatting.

  JAXB-based message body writers that produce XML documents support this property such that , if true, those XML documents will be formatted for human readability.

  The default value is false.

  See Also:
    Constant Field Values

### FEATURE_XMLROOTELEMENT_PROCESSING

    static final java.lang.String FEATURE_XMLROOTELEMENT_PROCESSING

  If true then XML root element tag name for lists will be derived from @XmlRootElement annotation and won't be decapitalized.

  The default value is false.

  See Also:
    Constant Field Values

### FEATURE_PRE_1_4_PROVIDER_PRECEDENCE

    static final java.lang.String FEATURE_PRE_1_4_PROVIDER_PRECEDENCE

  If true, provider precedence will work as it did prior Jersey version 1.4. That behaviour was not according to the spec regarding priority of user defined providers. See (@link http://java.net/jira/browse/JERSEY-571}.

  The default value is false.

  See Also:
    Constant Field Values

Method Detail

### getFeatures

    java.util.Map<java.lang.String,java.lang.Boolean> getFeatures()

  Get the map of features associated with the client.

  Returns:
    the features. The returned value shall never be null.

### getFeature

    boolean getFeature(java.lang.String featureName)

  Get the value of a feature.

  Parameters:
    `featureName` - the feature name.
  Returns:
    true if the feature is present and set to true, otherwise false if the feature is present and set to false or the feature is not present.

### getProperties

    java.util.Map<java.lang.String,java.lang.Object> getProperties()

  Get the map of properties associated with the client.

  Returns:
    the properties. The returned value shall never be null.

### getProperty

    java.lang.Object getProperty(java.lang.String propertyName)

  Get the value of a property.

  Parameters:
    `propertyName` - the property name.
  Returns:
    the property, or null if there is no property present for the given property name.

Copyright © 2017 Oracle Corporation. All Rights Reserved.